Seçilen kapsamın Defender planları fiyatlandırma yapılandırmalarını alın (geçerli kapsamlar kaynak kimliği veya abonelik kimliğidir). Kaynak düzeyinde desteklenen kaynak türleri 'VirtualMachines, VMSS ve ARC Machines' şeklindedir.
GET https://management.azure.com/{scopeId}/providers/Microsoft.Security/pricings/{pricingName}?api-version=2024-01-01
URI Parametreleri
| Name |
İçinde |
Gerekli |
Tür |
Description |
|
pricingName
|
path |
True
|
string
|
fiyatlandırma yapılandırmasının adı
|
|
scopeId
|
path |
True
|
string
|
Kaynağın tam nitelikli Azure Resource manager tanımlayıcısı.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Bu işlem için kullanılacak API sürümü.
|
Yanıtlar
| Name |
Tür |
Description |
|
200 OK
|
Pricing
|
Azure işlemi başarıyla tamamlandı.
|
|
Other Status Codes
|
Common.CloudError
|
Beklenmeyen bir hata yanıtı.
|
Güvenlik
azure_auth
Azure Active Directory OAuth2 Akışı.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name |
Description |
|
user_impersonation
|
kullanıcı hesabınızın kimliğine bürünme
|
Örnekler
Get pricings on resource - Containers plan
Örnek isteği
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/demo-containers-rg/providers/Microsoft.ContainerService/managedClusters/demo-aks-cluster/providers/Microsoft.Security/pricings/Containers?api-version=2024-01-01
package armsecurity_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/security/armsecurity"
)
// Generated from example definition: 2024-01-01/Pricings/GetResourcePricingByNameContainers_example.json
func ExamplePricingsClient_Get_getPricingsOnResourceContainersPlan() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armsecurity.NewClientFactory("<subscriptionID>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewPricingsClient().Get(ctx, "subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/demo-containers-rg/providers/Microsoft.ContainerService/managedClusters/demo-aks-cluster", "Containers", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armsecurity.PricingsClientGetResponse{
// Pricing: armsecurity.Pricing{
// Name: to.Ptr("Containers"),
// Type: to.Ptr("Microsoft.Security/pricings"),
// ID: to.Ptr("/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/demo-containers-rg/providers/Microsoft.ContainerService/managedClusters/demo-aks-cluster/providers/Microsoft.Security/pricings/Containers"),
// Properties: &armsecurity.PricingProperties{
// EnablementTime: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2025-01-13T10:30:45.1234567Z"); return t}()),
// FreeTrialRemainingTime: to.Ptr("P26DT17H24M"),
// Inherited: to.Ptr(armsecurity.InheritedFalse),
// PricingTier: to.Ptr(armsecurity.PricingTierStandard),
// Extensions: []*armsecurity.Extension{
// {
// Name: to.Ptr("ContainerRegistriesVulnerabilityAssessments"),
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// {
// Name: to.Ptr("AgentlessDiscoveryForKubernetes"),
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// {
// Name: to.Ptr("AgentlessVmScanning"),
// AdditionalExtensionProperties: map[string]any{
// "ExclusionTags": "[]",
// },
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// {
// Name: to.Ptr("ContainerSensor"),
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// {
// Name: to.Ptr("ContainerIntegrityContribution"),
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// },
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SecurityCenter } = require("@azure/arm-security");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to get the Defender plans pricing configurations of the selected scope (valid scopes are resource id or a subscription id). At the resource level, supported resource types are 'VirtualMachines, VMSS and ARC Machines'.
*
* @summary get the Defender plans pricing configurations of the selected scope (valid scopes are resource id or a subscription id). At the resource level, supported resource types are 'VirtualMachines, VMSS and ARC Machines'.
* x-ms-original-file: 2024-01-01/Pricings/GetResourcePricingByNameContainers_example.json
*/
async function getPricingsOnResourceContainersPlan() {
const credential = new DefaultAzureCredential();
const client = new SecurityCenter(credential);
const result = await client.pricings.get(
"subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/demo-containers-rg/providers/Microsoft.ContainerService/managedClusters/demo-aks-cluster",
"Containers",
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "Containers",
"type": "Microsoft.Security/pricings",
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/demo-containers-rg/providers/Microsoft.ContainerService/managedClusters/demo-aks-cluster/providers/Microsoft.Security/pricings/Containers",
"properties": {
"enablementTime": "2025-01-13T10:30:45.1234567Z",
"freeTrialRemainingTime": "P26DT17H24M",
"inherited": "False",
"inheritedFrom": null,
"pricingTier": "Standard",
"extensions": [
{
"name": "ContainerRegistriesVulnerabilityAssessments",
"isEnabled": "True"
},
{
"name": "AgentlessDiscoveryForKubernetes",
"isEnabled": "True"
},
{
"name": "AgentlessVmScanning",
"additionalExtensionProperties": {
"ExclusionTags": "[]"
},
"isEnabled": "True"
},
{
"name": "ContainerSensor",
"isEnabled": "True"
},
{
"name": "ContainerIntegrityContribution",
"isEnabled": "True"
}
]
}
}
Get pricings on resource - VirtualMachines plan
Örnek isteği
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/DEMO/providers/Microsoft.Compute/virtualMachines/VM-1/providers/Microsoft.Security/pricings/VirtualMachines?api-version=2024-01-01
package armsecurity_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/security/armsecurity"
)
// Generated from example definition: 2024-01-01/Pricings/GetResourcePricingByNameVirtualMachines_example.json
func ExamplePricingsClient_Get_getPricingsOnResourceVirtualMachinesPlan() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armsecurity.NewClientFactory("<subscriptionID>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewPricingsClient().Get(ctx, "subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/DEMO/providers/Microsoft.Compute/virtualMachines/VM-1", "VirtualMachines", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armsecurity.PricingsClientGetResponse{
// Pricing: armsecurity.Pricing{
// Name: to.Ptr("VirtualMachines"),
// Type: to.Ptr("Microsoft.Security/pricings"),
// ID: to.Ptr("/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/DEMO/providers/Microsoft.Compute/virtualMachines/VM-1/providers/Microsoft.Security/pricings/VirtualMachines"),
// Properties: &armsecurity.PricingProperties{
// EnablementTime: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2023-03-01T12:42:42.1921106Z"); return t}()),
// FreeTrialRemainingTime: to.Ptr("PT0S"),
// Inherited: to.Ptr(armsecurity.InheritedTrue),
// InheritedFrom: to.Ptr("/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23"),
// PricingTier: to.Ptr(armsecurity.PricingTierStandard),
// SubPlan: to.Ptr("P2"),
// Extensions: []*armsecurity.Extension{
// {
// Name: to.Ptr("AgentlessVmScanning"),
// AdditionalExtensionProperties: map[string]any{
// "ExclusionTags": "[{\"Key\":\"TestKey1\",\"Value\":\"TestValue1\"},{\"Key\":\"TestKey2\",\"Value\":\"TestValue2\"}]",
// },
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// {
// Name: to.Ptr("MdeDesignatedSubscription"),
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// },
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SecurityCenter } = require("@azure/arm-security");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to get the Defender plans pricing configurations of the selected scope (valid scopes are resource id or a subscription id). At the resource level, supported resource types are 'VirtualMachines, VMSS and ARC Machines'.
*
* @summary get the Defender plans pricing configurations of the selected scope (valid scopes are resource id or a subscription id). At the resource level, supported resource types are 'VirtualMachines, VMSS and ARC Machines'.
* x-ms-original-file: 2024-01-01/Pricings/GetResourcePricingByNameVirtualMachines_example.json
*/
async function getPricingsOnResourceVirtualMachinesPlan() {
const credential = new DefaultAzureCredential();
const client = new SecurityCenter(credential);
const result = await client.pricings.get(
"subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/DEMO/providers/Microsoft.Compute/virtualMachines/VM-1",
"VirtualMachines",
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "VirtualMachines",
"type": "Microsoft.Security/pricings",
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/DEMO/providers/Microsoft.Compute/virtualMachines/VM-1/providers/Microsoft.Security/pricings/VirtualMachines",
"properties": {
"enablementTime": "2023-03-01T12:42:42.1921106Z",
"freeTrialRemainingTime": "PT0S",
"inherited": "True",
"inheritedFrom": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23",
"pricingTier": "Standard",
"subPlan": "P2",
"extensions": [
{
"name": "AgentlessVmScanning",
"additionalExtensionProperties": {
"ExclusionTags": "[{\"Key\":\"TestKey1\",\"Value\":\"TestValue1\"},{\"Key\":\"TestKey2\",\"Value\":\"TestValue2\"}]"
},
"isEnabled": "True"
},
{
"name": "MdeDesignatedSubscription",
"isEnabled": "True"
}
]
}
}
Get pricings on subscription - CloudPosture plan
Örnek isteği
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/pricings/CloudPosture?api-version=2024-01-01
package armsecurity_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/security/armsecurity"
)
// Generated from example definition: 2024-01-01/Pricings/GetPricingByNameCloudPosture_example.json
func ExamplePricingsClient_Get_getPricingsOnSubscriptionCloudPosturePlan() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armsecurity.NewClientFactory("<subscriptionID>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewPricingsClient().Get(ctx, "subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23", "CloudPosture", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armsecurity.PricingsClientGetResponse{
// Pricing: armsecurity.Pricing{
// Name: to.Ptr("CloudPosture"),
// Type: to.Ptr("Microsoft.Security/pricings"),
// ID: to.Ptr("/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/pricings/CloudPosture"),
// Properties: &armsecurity.PricingProperties{
// EnablementTime: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2023-03-01T12:42:42.1921106Z"); return t}()),
// Enforce: to.Ptr(armsecurity.EnforceFalse),
// FreeTrialRemainingTime: to.Ptr("PT0S"),
// PricingTier: to.Ptr(armsecurity.PricingTierStandard),
// ResourcesCoverageStatus: to.Ptr(armsecurity.ResourcesCoverageStatusFullyCovered),
// Extensions: []*armsecurity.Extension{
// {
// Name: to.Ptr("AgentlessVmScanning"),
// AdditionalExtensionProperties: map[string]any{
// "ExclusionTags": "[]",
// },
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// {
// Name: to.Ptr("AgentlessDiscoveryForKubernetes"),
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// {
// Name: to.Ptr("SensitiveDataDiscovery"),
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// {
// Name: to.Ptr("ContainerRegistriesVulnerabilityAssessments"),
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// {
// Name: to.Ptr("EntraPermissionsManagement"),
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// },
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SecurityCenter } = require("@azure/arm-security");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to get the Defender plans pricing configurations of the selected scope (valid scopes are resource id or a subscription id). At the resource level, supported resource types are 'VirtualMachines, VMSS and ARC Machines'.
*
* @summary get the Defender plans pricing configurations of the selected scope (valid scopes are resource id or a subscription id). At the resource level, supported resource types are 'VirtualMachines, VMSS and ARC Machines'.
* x-ms-original-file: 2024-01-01/Pricings/GetPricingByNameCloudPosture_example.json
*/
async function getPricingsOnSubscriptionCloudPosturePlan() {
const credential = new DefaultAzureCredential();
const client = new SecurityCenter(credential);
const result = await client.pricings.get(
"subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23",
"CloudPosture",
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "CloudPosture",
"type": "Microsoft.Security/pricings",
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/pricings/CloudPosture",
"properties": {
"enablementTime": "2023-03-01T12:42:42.1921106Z",
"enforce": "False",
"freeTrialRemainingTime": "PT0S",
"pricingTier": "Standard",
"resourcesCoverageStatus": "FullyCovered",
"extensions": [
{
"name": "AgentlessVmScanning",
"additionalExtensionProperties": {
"ExclusionTags": "[]"
},
"isEnabled": "True"
},
{
"name": "AgentlessDiscoveryForKubernetes",
"isEnabled": "True"
},
{
"name": "SensitiveDataDiscovery",
"isEnabled": "True"
},
{
"name": "ContainerRegistriesVulnerabilityAssessments",
"isEnabled": "True"
},
{
"name": "EntraPermissionsManagement",
"isEnabled": "True"
}
]
}
}
Get pricings on subscription - Containers plan
Örnek isteği
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/pricings/Containers?api-version=2024-01-01
package armsecurity_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/security/armsecurity"
)
// Generated from example definition: 2024-01-01/Pricings/GetPricingByNameContainers_example.json
func ExamplePricingsClient_Get_getPricingsOnSubscriptionContainersPlan() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armsecurity.NewClientFactory("<subscriptionID>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewPricingsClient().Get(ctx, "subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23", "Containers", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armsecurity.PricingsClientGetResponse{
// Pricing: armsecurity.Pricing{
// Name: to.Ptr("Containers"),
// Type: to.Ptr("Microsoft.Security/pricings"),
// ID: to.Ptr("/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/pricings/Containers"),
// Properties: &armsecurity.PricingProperties{
// EnablementTime: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2023-03-01T12:42:42.1921106Z"); return t}()),
// Enforce: to.Ptr(armsecurity.EnforceFalse),
// FreeTrialRemainingTime: to.Ptr("PT0S"),
// PricingTier: to.Ptr(armsecurity.PricingTierStandard),
// ResourcesCoverageStatus: to.Ptr(armsecurity.ResourcesCoverageStatusFullyCovered),
// Extensions: []*armsecurity.Extension{
// {
// Name: to.Ptr("ContainerRegistriesVulnerabilityAssessments"),
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// },
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SecurityCenter } = require("@azure/arm-security");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to get the Defender plans pricing configurations of the selected scope (valid scopes are resource id or a subscription id). At the resource level, supported resource types are 'VirtualMachines, VMSS and ARC Machines'.
*
* @summary get the Defender plans pricing configurations of the selected scope (valid scopes are resource id or a subscription id). At the resource level, supported resource types are 'VirtualMachines, VMSS and ARC Machines'.
* x-ms-original-file: 2024-01-01/Pricings/GetPricingByNameContainers_example.json
*/
async function getPricingsOnSubscriptionContainersPlan() {
const credential = new DefaultAzureCredential();
const client = new SecurityCenter(credential);
const result = await client.pricings.get(
"subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23",
"Containers",
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "Containers",
"type": "Microsoft.Security/pricings",
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/pricings/Containers",
"properties": {
"enablementTime": "2023-03-01T12:42:42.1921106Z",
"enforce": "False",
"freeTrialRemainingTime": "PT0S",
"pricingTier": "Standard",
"resourcesCoverageStatus": "FullyCovered",
"extensions": [
{
"name": "ContainerRegistriesVulnerabilityAssessments",
"isEnabled": "True"
}
]
}
}
Get pricings on subscription - Dns plan
Örnek isteği
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/pricings/Dns?api-version=2024-01-01
package armsecurity_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/security/armsecurity"
)
// Generated from example definition: 2024-01-01/Pricings/GetPricingByNameDns_example.json
func ExamplePricingsClient_Get_getPricingsOnSubscriptionDnsPlan() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armsecurity.NewClientFactory("<subscriptionID>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewPricingsClient().Get(ctx, "subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23", "Dns", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armsecurity.PricingsClientGetResponse{
// Pricing: armsecurity.Pricing{
// Name: to.Ptr("Dns"),
// Type: to.Ptr("Microsoft.Security/pricings"),
// ID: to.Ptr("/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/pricings/Dns"),
// Properties: &armsecurity.PricingProperties{
// Deprecated: to.Ptr(true),
// EnablementTime: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2023-03-01T12:42:42.1921106Z"); return t}()),
// Enforce: to.Ptr(armsecurity.EnforceFalse),
// FreeTrialRemainingTime: to.Ptr("PT0S"),
// PricingTier: to.Ptr(armsecurity.PricingTierStandard),
// ReplacedBy: []*string{
// to.Ptr("VirtualMachines"),
// },
// ResourcesCoverageStatus: to.Ptr(armsecurity.ResourcesCoverageStatusFullyCovered),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SecurityCenter } = require("@azure/arm-security");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to get the Defender plans pricing configurations of the selected scope (valid scopes are resource id or a subscription id). At the resource level, supported resource types are 'VirtualMachines, VMSS and ARC Machines'.
*
* @summary get the Defender plans pricing configurations of the selected scope (valid scopes are resource id or a subscription id). At the resource level, supported resource types are 'VirtualMachines, VMSS and ARC Machines'.
* x-ms-original-file: 2024-01-01/Pricings/GetPricingByNameDns_example.json
*/
async function getPricingsOnSubscriptionDnsPlan() {
const credential = new DefaultAzureCredential();
const client = new SecurityCenter(credential);
const result = await client.pricings.get(
"subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23",
"Dns",
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "Dns",
"type": "Microsoft.Security/pricings",
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/pricings/Dns",
"properties": {
"deprecated": true,
"enablementTime": "2023-03-01T12:42:42.1921106Z",
"enforce": "False",
"freeTrialRemainingTime": "PT0S",
"pricingTier": "Standard",
"replacedBy": [
"VirtualMachines"
],
"resourcesCoverageStatus": "FullyCovered"
}
}
Get pricings on subscription - StorageAccounts plan
Örnek isteği
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/pricings/StorageAccounts?api-version=2024-01-01
package armsecurity_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/security/armsecurity"
)
// Generated from example definition: 2024-01-01/Pricings/GetPricingByNameStorageAccounts_example.json
func ExamplePricingsClient_Get_getPricingsOnSubscriptionStorageAccountsPlan() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armsecurity.NewClientFactory("<subscriptionID>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewPricingsClient().Get(ctx, "subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23", "StorageAccounts", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armsecurity.PricingsClientGetResponse{
// Pricing: armsecurity.Pricing{
// Name: to.Ptr("StorageAccounts"),
// Type: to.Ptr("Microsoft.Security/pricings"),
// ID: to.Ptr("/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/pricings/StorageAccounts"),
// Properties: &armsecurity.PricingProperties{
// EnablementTime: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2023-03-01T12:42:42.1921106Z"); return t}()),
// Enforce: to.Ptr(armsecurity.EnforceFalse),
// FreeTrialRemainingTime: to.Ptr("PT0S"),
// PricingTier: to.Ptr(armsecurity.PricingTierStandard),
// ResourcesCoverageStatus: to.Ptr(armsecurity.ResourcesCoverageStatusFullyCovered),
// SubPlan: to.Ptr("PerStorageAccount"),
// Extensions: []*armsecurity.Extension{
// {
// Name: to.Ptr("OnUploadMalwareScanning"),
// AdditionalExtensionProperties: map[string]any{
// "capGBPerMonthPerStorageAccount": 10,
// },
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// {
// Name: to.Ptr("SensitiveDataDiscovery"),
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// },
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SecurityCenter } = require("@azure/arm-security");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to get the Defender plans pricing configurations of the selected scope (valid scopes are resource id or a subscription id). At the resource level, supported resource types are 'VirtualMachines, VMSS and ARC Machines'.
*
* @summary get the Defender plans pricing configurations of the selected scope (valid scopes are resource id or a subscription id). At the resource level, supported resource types are 'VirtualMachines, VMSS and ARC Machines'.
* x-ms-original-file: 2024-01-01/Pricings/GetPricingByNameStorageAccounts_example.json
*/
async function getPricingsOnSubscriptionStorageAccountsPlan() {
const credential = new DefaultAzureCredential();
const client = new SecurityCenter(credential);
const result = await client.pricings.get(
"subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23",
"StorageAccounts",
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "StorageAccounts",
"type": "Microsoft.Security/pricings",
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/pricings/StorageAccounts",
"properties": {
"enablementTime": "2023-03-01T12:42:42.1921106Z",
"enforce": "False",
"freeTrialRemainingTime": "PT0S",
"pricingTier": "Standard",
"resourcesCoverageStatus": "FullyCovered",
"subPlan": "PerStorageAccount",
"extensions": [
{
"name": "OnUploadMalwareScanning",
"additionalExtensionProperties": {
"capGBPerMonthPerStorageAccount": 10
},
"isEnabled": "True"
},
{
"name": "SensitiveDataDiscovery",
"isEnabled": "True"
}
]
}
}
Get pricings on subscription - VirtualMachines plan
Örnek isteği
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/pricings/VirtualMachines?api-version=2024-01-01
package armsecurity_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/security/armsecurity"
)
// Generated from example definition: 2024-01-01/Pricings/GetPricingByNameVirtualMachines_example.json
func ExamplePricingsClient_Get_getPricingsOnSubscriptionVirtualMachinesPlan() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armsecurity.NewClientFactory("<subscriptionID>", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewPricingsClient().Get(ctx, "subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23", "VirtualMachines", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armsecurity.PricingsClientGetResponse{
// Pricing: armsecurity.Pricing{
// Name: to.Ptr("VirtualMachines"),
// Type: to.Ptr("Microsoft.Security/pricings"),
// ID: to.Ptr("/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/pricings/VirtualMachines"),
// Properties: &armsecurity.PricingProperties{
// EnablementTime: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2023-03-01T12:42:42.1921106Z"); return t}()),
// Enforce: to.Ptr(armsecurity.EnforceFalse),
// FreeTrialRemainingTime: to.Ptr("PT0S"),
// PricingTier: to.Ptr(armsecurity.PricingTierStandard),
// ResourcesCoverageStatus: to.Ptr(armsecurity.ResourcesCoverageStatusPartiallyCovered),
// SubPlan: to.Ptr("P2"),
// Extensions: []*armsecurity.Extension{
// {
// Name: to.Ptr("AgentlessVmScanning"),
// AdditionalExtensionProperties: map[string]any{
// "ExclusionTags": "[{\"Key\":\"TestKey1\",\"Value\":\"TestValue1\"},{\"Key\":\"TestKey2\",\"Value\":\"TestValue2\"}]",
// },
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// {
// Name: to.Ptr("MdeDesignatedSubscription"),
// IsEnabled: to.Ptr(armsecurity.IsEnabledTrue),
// },
// },
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SecurityCenter } = require("@azure/arm-security");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to get the Defender plans pricing configurations of the selected scope (valid scopes are resource id or a subscription id). At the resource level, supported resource types are 'VirtualMachines, VMSS and ARC Machines'.
*
* @summary get the Defender plans pricing configurations of the selected scope (valid scopes are resource id or a subscription id). At the resource level, supported resource types are 'VirtualMachines, VMSS and ARC Machines'.
* x-ms-original-file: 2024-01-01/Pricings/GetPricingByNameVirtualMachines_example.json
*/
async function getPricingsOnSubscriptionVirtualMachinesPlan() {
const credential = new DefaultAzureCredential();
const client = new SecurityCenter(credential);
const result = await client.pricings.get(
"subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23",
"VirtualMachines",
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Örnek yanıt
{
"name": "VirtualMachines",
"type": "Microsoft.Security/pricings",
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/pricings/VirtualMachines",
"properties": {
"enablementTime": "2023-03-01T12:42:42.1921106Z",
"enforce": "False",
"freeTrialRemainingTime": "PT0S",
"pricingTier": "Standard",
"resourcesCoverageStatus": "PartiallyCovered",
"subPlan": "P2",
"extensions": [
{
"name": "AgentlessVmScanning",
"additionalExtensionProperties": {
"ExclusionTags": "[{\"Key\":\"TestKey1\",\"Value\":\"TestValue1\"},{\"Key\":\"TestKey2\",\"Value\":\"TestValue2\"}]"
},
"isEnabled": "True"
},
{
"name": "MdeDesignatedSubscription",
"isEnabled": "True"
}
]
}
}
Tanımlar
| Name |
Description |
|
Common.CloudError
|
Başarısız işlemlerin hata ayrıntılarını döndürmek için tüm Azure Resource Manager API'leri için genel hata yanıtı. (Bu, OData hata yanıt biçimini de izler.).
|
|
Common.CloudErrorBody
|
Hata ayrıntısı.
|
|
Common.OperationStatus
|
Etkinleştirme/devre dışı bırakma işleminin başarısını/başarısızlığını açıklayan durum.
|
|
createdByType
|
Kaynağı oluşturan kimliğin türü.
|
|
Enforce
|
"Yanlış" olarak ayarlanırsa, bu kapsamın alt öğelerine bu kapsamda ayarlanan fiyatlandırma yapılandırmasının geçersiz kılınmasına izin verir (inherited="False ayarına izin verir"). "True" olarak ayarlanırsa, geçersiz kılmaları engeller ve bu fiyatlandırma yapılandırmasını bu kapsamın tüm alt öğelerine zorlar. Bu alan yalnızca abonelik düzeyinde fiyatlandırma için kullanılabilir.
|
|
ErrorAdditionalInfo
|
Kaynak yönetimi hatası ek bilgileri.
|
|
Extension
|
Bir planın uzantı özellikleri
|
|
Inherited
|
"inherited" = "True" geçerli kapsamın fiyatlandırma yapılandırmasını üst öğesinden devraldığını gösterir. Devralınan yapılandırmayı sağlayan üst kapsamın kimliği "inheritedFrom" alanında görüntülenir. Öte yandan, "devralınan" = "Yanlış", geçerli kapsamın kendi fiyatlandırma yapılandırmasının açıkça ayarlandığını ve üst öğesinden devralmadığını gösterir. Bu alan salt okunurdur ve yalnızca kaynak düzeyinde fiyatlandırma için kullanılabilir.
|
|
IsEnabled
|
Uzantının etkinleştirilip etkinleştirilmediğini gösterir.
|
|
Pricing
|
Bulut için Microsoft Defender iki fiyatlandırma katmanında sağlanır: ücretsiz ve standart. Standart katman gelişmiş güvenlik özellikleri sunarken, ücretsiz katman temel güvenlik özellikleri sunar.
|
|
PricingTier
|
Defender planının seçili kapsamda etkinleştirilip etkinleştirilmediğini gösterir. Bulut için Microsoft Defender iki fiyatlandırma katmanında sağlanır: ücretsiz ve standart. Standart katman gelişmiş güvenlik özellikleri sunarken, ücretsiz katman temel güvenlik özellikleri sunar.
|
|
ResourcesCoverageStatus
|
Bu alan yalnızca abonelik düzeyinde kullanılabilir ve abonelik altındaki kaynakların kapsam durumunu yansıtır. Lütfen unutmayın: "pricingTier" alanı aboneliğin plan durumunu yansıtır. Ancak, plan durumu kaynak düzeyinde de tanımlanabildiği için, aboneliğin plan durumu ile kaynak durumu arasında yanlış hizalama olabilir. Bu alan, kaynakların kapsam durumunun gösterilmesine yardımcı olur.
|
|
systemData
|
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.
|
Common.CloudError
Nesne
Başarısız işlemlerin hata ayrıntılarını döndürmek için tüm Azure Resource Manager API'leri için genel hata yanıtı. (Bu, OData hata yanıt biçimini de izler.).
| Name |
Tür |
Description |
|
error.additionalInfo
|
ErrorAdditionalInfo[]
|
Hata ek bilgileri.
|
|
error.code
|
string
|
Hata kodu.
|
|
error.details
|
Common.CloudErrorBody[]
|
Hata ayrıntıları.
|
|
error.message
|
string
|
Hata iletisi.
|
|
error.target
|
string
|
Hata hedefi.
|
Common.CloudErrorBody
Nesne
Hata ayrıntısı.
| Name |
Tür |
Description |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Hata ek bilgileri.
|
|
code
|
string
|
Hata kodu.
|
|
details
|
Common.CloudErrorBody[]
|
Hata ayrıntıları.
|
|
message
|
string
|
Hata iletisi.
|
|
target
|
string
|
Hata hedefi.
|
Common.OperationStatus
Nesne
Etkinleştirme/devre dışı bırakma işleminin başarısını/başarısızlığını açıklayan durum.
| Name |
Tür |
Description |
|
code
|
string
|
İşlem durum kodu.
|
|
message
|
string
|
İşlemin başarısı/başarısızlığıyla ilgili ek bilgiler.
|
createdByType
Numaralandırma
Kaynağı oluşturan kimliğin türü.
| Değer |
Description |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
Enforce
Numaralandırma
"Yanlış" olarak ayarlanırsa, bu kapsamın alt öğelerine bu kapsamda ayarlanan fiyatlandırma yapılandırmasının geçersiz kılınmasına izin verir (inherited="False ayarına izin verir"). "True" olarak ayarlanırsa, geçersiz kılmaları engeller ve bu fiyatlandırma yapılandırmasını bu kapsamın tüm alt öğelerine zorlar. Bu alan yalnızca abonelik düzeyinde fiyatlandırma için kullanılabilir.
| Değer |
Description |
|
False
|
Bu kapsamın alt öğelerine bu kapsamdaki fiyatlandırma yapılandırma kümesini geçersiz kılma izni verir (inherited="False ayarına izin verir")
|
|
True
|
Geçersiz kılmaları önler ve geçerli kapsamın fiyatlandırma yapılandırmasını tüm alt öğelere zorlar
|
ErrorAdditionalInfo
Nesne
Kaynak yönetimi hatası ek bilgileri.
| Name |
Tür |
Description |
|
info
|
object
|
Ek bilgiler.
|
|
type
|
string
|
Ek bilgi türü.
|
Extension
Nesne
Bir planın uzantı özellikleri
| Name |
Tür |
Description |
|
additionalExtensionProperties
|
|
Uzantıyla ilişkili özellik değerleri.
|
|
isEnabled
|
IsEnabled
|
Uzantının etkinleştirilip etkinleştirilmediğini gösterir.
|
|
name
|
string
|
Uzantı adı. Desteklenen değerler şunlardır:
AgentlessDiscoveryForKubernetes - Sıfır ayak izi, Kubernetes kümelerinin API tabanlı keşfi, yapılandırmaları ve dağıtımları sağlar. Toplanan veriler Kubernetes kümeleri için bağlamsal bir güvenlik grafiği oluşturmak, risk avcılığı özellikleri sağlamak ve Kubernetes ortamlarına ve iş yüklerine yönelik riskleri ve tehditleri görselleştirmek için kullanılır. CloudPosture planı ve Kapsayıcılar planı için kullanılabilir.
OnUploadMalwareScanning - Abonelik içindeki her depolama hesabı için aylık taranacak GB'yi sınırlar. Belirli bir depolama hesabında bu sınıra ulaşıldıktan sonra Bloblar geçerli takvim ayı boyunca taranmayacak. StorageAccounts planı (DefenderForStorageV2 alt planları) için kullanılabilir.
SensitiveDataDiscovery - Hassas veri bulma, güvenlik olaylarının önceliğini belirlemeye ve araştırmaya yardımcı olmak için kimlik bilgileri, kredi kartları ve daha fazlası gibi hassas verilerle Blob depolama kapsayıcısını tanımlar. StorageAccounts planı (DefenderForStorageV2 alt planı) ve CloudPosture planı için kullanılabilir.
ContainerRegistriesVulnerabilityAssessments - Kapsayıcı kayıt defterlerinizde depolanan görüntüler için güvenlik açığı yönetimi sağlar. CloudPosture planı ve Kapsayıcılar planı için kullanılabilir.
MdeDesignatedSubscription - Doğrudan onboarding, Defender for Terminal ile Defender for Cloud arasında sorunsuz bir entegrasyondur ve sunucularınızda ekstra yazılım dağıtımı gerektirmez. Eklenen kaynaklar, yapılandırdığınız belirli bir Azure Aboneliği altında gösterilir VirtualMachines planı (P1 ve P2 alt planları) için kullanılabilir.
AgentlessVmScanning - Aracılara güvenmeden veya makine performansını etkilemeden makinelerinizi yüklü yazılım, güvenlik açıkları, kötü amaçlı yazılım ve gizli dizi taraması için tarar. burada https://learn.microsoft.com/en-us/azure/defender-for-cloud/concept-agentless-data-collectiondaha fazla bilgi edinin. CloudPosture planı, VirtualMachines planı (P2 alt planı) ve Kapsayıcılar planı için kullanılabilir.
EntraPermissionsManagement - İzinler Yönetimi, kuruluşların bulut altyapılarında kullanıcı erişimini ve yetkilendirmelerini yönetmesine ve denetlemesine yardımcı olan Bulut Altyapısı Yetkilendirme Yönetimi (CIEM) özellikleri sağlar. Bulut ortamları için önemli saldırı vektörleri. İzin Yönetimi tüm izinleri ve etkin kullanımı analiz eder ve en az ayrıcalık ilkesini zorlamak için izinleri azaltmaya yönelik öneriler önerir. burada https://learn.microsoft.com/en-us/azure/defender-for-cloud/permissions-managementdaha fazla bilgi edinin. CloudPosture planı için kullanılabilir.
FileIntegrityMonitoring - Dosya bütünlüğü izleme (FIM), işletim sistemi dosyalarını inceler. Windows kayıt defterleri, Linux sistem dosyaları, bir saldırıyı işaret eden değişiklikler için gerçek zamanlı olarak. VirtualMachines planı (P2 alt planı) için kullanılabilir.
ContainerSensor - Algılayıcı IG'yi temel alır ve Microsoft'un önde gelen tehdit bilgileri tarafından desteklenen Kubernetes kümeleri, düğümleri ve iş yükleri için zengin bir tehdit algılama paketi sağlar ve MITRE ATT&CK çerçevesine eşleme sağlar. Kapsayıcılar planı için kullanılabilir.
AIPromptEvidence - Kullanıcı ile yapay zeka modeli arasında uyarı kanıtı olarak geçirilen istemleri kullanıma sunar. Bu, uyarıları ilgili kullanıcı bağlamıyla sınıflandırmaya ve önceliklendirmeye yardımcı olur. İstem kod parçacıkları yalnızca kullanıcı isteminin veya model yanıtının şüpheli ve güvenlik sınıflandırmalarıyla ilgili olduğu kabul edilen kesimlerini içerir. İstem kanıtı, her uyarının bir parçası olarak Defender portalı üzerinden kullanılabilir. Yapay zeka planı için kullanılabilir.
|
|
operationStatus
|
Common.OperationStatus
|
Opsiyonel. Uzantının etkinleştirme/devre dışı bırakma işleminin başarısını/başarısızlığını açıklayan durum.
|
Inherited
Numaralandırma
"inherited" = "True" geçerli kapsamın fiyatlandırma yapılandırmasını üst öğesinden devraldığını gösterir. Devralınan yapılandırmayı sağlayan üst kapsamın kimliği "inheritedFrom" alanında görüntülenir. Öte yandan, "devralınan" = "Yanlış", geçerli kapsamın kendi fiyatlandırma yapılandırmasının açıkça ayarlandığını ve üst öğesinden devralmadığını gösterir. Bu alan salt okunurdur ve yalnızca kaynak düzeyinde fiyatlandırma için kullanılabilir.
| Değer |
Description |
|
True
|
Geçerli kapsamın fiyatlandırma yapılandırmasını üst öğesinden devraldığını gösterir
|
|
False
|
Geçerli kapsamın kendi fiyatlandırma yapılandırmasını ayarladığını ve üst öğesinden devralmadığını gösterir
|
IsEnabled
Numaralandırma
Uzantının etkinleştirilip etkinleştirilmediğini gösterir.
| Değer |
Description |
|
True
|
Uzantının etkinleştirildiğini gösterir
|
|
False
|
Uzantının devre dışı olduğunu gösterir
|
Pricing
Nesne
Bulut için Microsoft Defender iki fiyatlandırma katmanında sağlanır: ücretsiz ve standart. Standart katman gelişmiş güvenlik özellikleri sunarken, ücretsiz katman temel güvenlik özellikleri sunar.
| Name |
Tür |
Description |
|
id
|
string
(arm-id)
|
Kaynağın tam kaynak kimliği. Örneğin "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
name
|
string
|
Kaynağın adı
|
|
properties.deprecated
|
boolean
|
Opsiyonel. Plan kullanım dışı bırakıldıysa true. Değiştirme planları varsa, bunlar replacedBy özelliğinde görünür
|
|
properties.enablementTime
|
string
(date-time)
|
Opsiyonel.
pricingTier
Standard bu özellik, kullanılabilir olduğunda pricingTier en son Standardolarak ayarlandığı tarihi tutar (örneğin, 2023-03-01T12:42:42.1921106Z).
|
|
properties.enforce
|
Enforce
|
"Yanlış" olarak ayarlanırsa, bu kapsamın alt öğelerine bu kapsamda ayarlanan fiyatlandırma yapılandırmasının geçersiz kılınmasına izin verir (inherited="False ayarına izin verir"). "True" olarak ayarlanırsa, geçersiz kılmaları engeller ve bu fiyatlandırma yapılandırmasını bu kapsamın tüm alt öğelerine zorlar. Bu alan yalnızca abonelik düzeyinde fiyatlandırma için kullanılabilir.
|
|
properties.extensions
|
Extension[]
|
Opsiyonel. Bir plan kapsamında sunulan uzantıların listesi.
|
|
properties.freeTrialRemainingTime
|
string
(duration)
|
Aboneliklerin ücretsiz deneme süresi için kalan süre - ISO 8601 biçiminde (örneğin P3Y6M4DT12H30M5S).
|
|
properties.inherited
|
Inherited
|
"inherited" = "True" geçerli kapsamın fiyatlandırma yapılandırmasını üst öğesinden devraldığını gösterir. Devralınan yapılandırmayı sağlayan üst kapsamın kimliği "inheritedFrom" alanında görüntülenir. Öte yandan, "devralınan" = "Yanlış", geçerli kapsamın kendi fiyatlandırma yapılandırmasının açıkça ayarlandığını ve üst öğesinden devralmadığını gösterir. Bu alan salt okunurdur ve yalnızca kaynak düzeyinde fiyatlandırma için kullanılabilir.
|
|
properties.inheritedFrom
|
string
|
Devralınan kapsamın kimliği. Devralınmadıysa "Null". Bu alan yalnızca kaynak düzeyinde fiyatlandırma için kullanılabilir.
|
|
properties.pricingTier
|
PricingTier
|
Defender planının seçili kapsamda etkinleştirilip etkinleştirilmediğini gösterir. Bulut için Microsoft Defender iki fiyatlandırma katmanında sağlanır: ücretsiz ve standart. Standart katman gelişmiş güvenlik özellikleri sunarken, ücretsiz katman temel güvenlik özellikleri sunar.
|
|
properties.replacedBy
|
string[]
|
Opsiyonel. Bu planın yerini alan planların listesi. Bu özellik yalnızca bu plan kullanım dışı bırakıldığında var olur.
|
|
properties.resourcesCoverageStatus
|
ResourcesCoverageStatus
|
Bu alan yalnızca abonelik düzeyinde kullanılabilir ve abonelik altındaki kaynakların kapsam durumunu yansıtır. Lütfen unutmayın: "pricingTier" alanı aboneliğin plan durumunu yansıtır. Ancak, plan durumu kaynak düzeyinde de tanımlanabildiği için, aboneliğin plan durumu ile kaynak durumu arasında yanlış hizalama olabilir. Bu alan, kaynakların kapsam durumunun gösterilmesine yardımcı olur.
|
|
properties.subPlan
|
string
|
Birden fazla alt plan kullanılabilir olduğunda Standart fiyatlandırma yapılandırması için seçilen alt plan. Her alt plan bir dizi güvenlik özelliği sağlar. Belirtilmediğinde tam plan uygulanır. VirtualMachines planı için kullanılabilir alt planlar 'P1' & 'P2' şeklindedir ve burada kaynak düzeyinde yalnızca 'P1' alt planı desteklenir.
|
|
systemData
|
systemData
|
createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri.
|
|
type
|
string
|
Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts"
|
PricingTier
Numaralandırma
Defender planının seçili kapsamda etkinleştirilip etkinleştirilmediğini gösterir. Bulut için Microsoft Defender iki fiyatlandırma katmanında sağlanır: ücretsiz ve standart. Standart katman gelişmiş güvenlik özellikleri sunarken, ücretsiz katman temel güvenlik özellikleri sunar.
| Değer |
Description |
|
Free
|
Temel güvenlik özellikleriyle ücretsiz Bulut için Microsoft Defender deneyimi edinin
|
|
Standard
|
Gelişmiş güvenlik özellikleriyle standart Bulut için Microsoft Defender deneyimini edinin
|
ResourcesCoverageStatus
Numaralandırma
Bu alan yalnızca abonelik düzeyinde kullanılabilir ve abonelik altındaki kaynakların kapsam durumunu yansıtır. Lütfen unutmayın: "pricingTier" alanı aboneliğin plan durumunu yansıtır. Ancak, plan durumu kaynak düzeyinde de tanımlanabildiği için, aboneliğin plan durumu ile kaynak durumu arasında yanlış hizalama olabilir. Bu alan, kaynakların kapsam durumunun gösterilmesine yardımcı olur.
| Değer |
Description |
|
FullyCovered
|
Bu değer, abonelikle ilişkili tüm kaynakların Defender planının etkinleştirildiğini gösterir.
|
|
PartiallyCovered
|
Bu değer, aboneliğin altındaki bazı kaynakların Defender planının etkinleştirildiğini, bazılarının ise devre dışı bırakıldığını gösterir. Kaynaklar arasında karma kapsam durumu vardır.
|
|
NotCovered
|
Bu değer, Defender planının abonelik altındaki tüm kaynaklar için devre dışı bırakıldığını gösterir. Kaynakların hiçbiri Defender planı tarafından korunmaz.
|
systemData
Nesne
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.
| Name |
Tür |
Description |
|
createdAt
|
string
(date-time)
|
Kaynak oluşturma (UTC) zaman damgası.
|
|
createdBy
|
string
|
Kaynağı oluşturan kimlik.
|
|
createdByType
|
createdByType
|
Kaynağı oluşturan kimliğin türü.
|
|
lastModifiedAt
|
string
(date-time)
|
Kaynağın son değişikliğinin zaman damgası (UTC)
|
|
lastModifiedBy
|
string
|
Kaynağı en son değiştiren kimlik.
|
|
lastModifiedByType
|
createdByType
|
Kaynağı en son değiştiren kimlik türü.
|